<div class="container">
  <header>
    <his-app-store-editor-toolbar [tabViewIndex]="tabViewIndex"
    (itemListClick)="onItemListClick()" (newItemClick)="onNewItemClick()"
    (dittoItemClick)="onDittoItemClick()" (saveItemClick)="onSaveItemClick()"
      (deleteItemClick)="onDeleteClick()"/>
  </header>
  <body>
    <p-tabView [(activeIndex)]="tabViewIndex">
      <p-tabPanel i18n-header header="應用程式清單">
        <his-app-store-editor-list  (rowItemClick)="onRowItemClick($event)"
          [appStores]="appStores"></his-app-store-editor-list>
      </p-tabPanel>
      <p-tabPanel i18n-header header="應用程式內容">
        <his-app-store-editor-document [(appStore)]="appStore"></his-app-store-editor-document>
      </p-tabPanel>
    </p-tabView>
  </body>
</div>
<p-dialog header="Header" [(visible)]="dialogVisible" [style]="dialogStyle">
  <ng-template pTemplate="header" class="dialog-header">
    <div class="dialog-header"></div>
  </ng-template>
  <div>
    <span i18n>
      確認是否進行刪除的動作?
    </span>
  </div>
  <ng-template pTemplate="footer">
    <p-divider></p-divider>
    <button pButton pRipple class="cancel" (click)="onCancelClick()" i18n>取消</button>
    <button pButton pRipple (click)="onOkClick()" i18n class="p-button-text">確認</button>
  </ng-template>
</p-dialog>
